<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.AimGroupInfoMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.AimGroupInfo">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="power" property="power" jdbcType="VARCHAR"/>
        <result column="city_id" property="cityId" jdbcType="VARCHAR"/>
        <result column="landmark_id" property="landmarkId" jdbcType="VARCHAR"/>
        <result column="area_id" property="areaId" jdbcType="VARCHAR"/>
        <result column="thing_id" property="thingId" jdbcType="VARCHAR"/>
        <result column="group_name" property="groupName" jdbcType="VARCHAR"/>
        <result column="aim_template_id" property="aimTemplateId" jdbcType="VARCHAR"/>
        <result column="user_area" property="userArea" jdbcType="VARCHAR"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            power,

            city_id,

            landmark_id,

            area_id,

            thing_id,

            group_name,

            aim_template_id,

            user_area,

            remark,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from aim_group_info
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.AimGroupInfo" useGeneratedKeys="true"
            keyProperty="id">
        insert into aim_group_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="power!= null">
                power,
            </if>
            <if test="cityId!= null">
                city_id,
            </if>
            <if test="landmarkId!= null">
                landmark_id,
            </if>
            <if test="areaId!= null">
                area_id,
            </if>
            <if test="thingId!= null">
                thing_id,
            </if>
            <if test="groupName!= null">
                group_name,
            </if>
            <if test="aimTemplateId!= null">
                aim_template_id,
            </if>
            <if test="userArea!= null">
                user_area,
            </if>
            <if test="remark!= null">
                remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                #{power,jdbcType=VARCHAR},
            </if>
            <if test="cityId != null">
                #{cityId,jdbcType=VARCHAR},
            </if>
            <if test="landmarkId != null">
                #{landmarkId,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="groupName != null">
                #{groupName,jdbcType=VARCHAR},
            </if>
            <if test="aimTemplateId != null">
                #{aimTemplateId,jdbcType=VARCHAR},
            </if>
            <if test="userArea != null">
                #{userArea,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.AimGroupInfo">
        update aim_group_info
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                power= #{power,jdbcType=VARCHAR},
            </if>
            <if test="cityId != null">
                city_id= #{cityId,jdbcType=VARCHAR},
            </if>
            <if test="landmarkId != null">
                landmark_id= #{landmarkId,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                area_id= #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="thingId != null">
                thing_id= #{thingId,jdbcType=VARCHAR},
            </if>
            <if test="groupName != null">
                group_name= #{groupName,jdbcType=VARCHAR},
            </if>
            <if test="aimTemplateId != null">
                aim_template_id= #{aimTemplateId,jdbcType=VARCHAR},
            </if>
            <if test="userArea != null">
                user_area= #{userArea,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                remark= #{remark,jdbcType=VARCHAR},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryAimGroupInfoByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimGroupInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.power != null and !&quot;&quot;.equals(record.power)">
                and power = #{record.power}
            </if>
            <if test="record.cityId != null and !&quot;&quot;.equals(record.cityId)">
                and city_id = #{record.cityId}
            </if>
            <if test="record.landmarkId != null and !&quot;&quot;.equals(record.landmarkId)">
                and landmark_id = #{record.landmarkId}
            </if>
            <if test="record.areaId != null and !&quot;&quot;.equals(record.areaId)">
                and area_id = #{record.areaId}
            </if>
            <if test="record.thingId != null and !&quot;&quot;.equals(record.thingId)">
                and thing_id = #{record.thingId}
            </if>
            <if test="record.groupName != null and !&quot;&quot;.equals(record.groupName)">
                and group_name = #{record.groupName}
            </if>
            <if test="record.aimTemplateId != null and !&quot;&quot;.equals(record.aimTemplateId)">
                and aim_template_id = #{record.aimTemplateId}
            </if>
            <if test="record.userArea != null and !&quot;&quot;.equals(record.userArea)">
                and user_area = #{record.userArea}
            </if>
            <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and remark = #{record.remark}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR power LIKE concat('%',#{record.searchKey},'%')
                    OR city_id LIKE concat('%',#{record.searchKey},'%')
                    OR landmark_id LIKE concat('%',#{record.searchKey},'%')
                    OR area_id LIKE concat('%',#{record.searchKey},'%')
                    OR thing_id LIKE concat('%',#{record.searchKey},'%')
                    OR group_name LIKE concat('%',#{record.searchKey},'%')
                    OR aim_template_id LIKE concat('%',#{record.searchKey},'%')
                    OR user_area LIKE concat('%',#{record.searchKey},'%')
                    OR remark LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllAimGroupInfo" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimGroupInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="groupName != null and !&quot;&quot;.equals(groupName)">
                and group_name = #{groupName}
            </if>
            <if test="aimTemplateId != null and !&quot;&quot;.equals(aimTemplateId)">
                and aim_template_id = #{aimTemplateId}
            </if>
            <if test="userArea != null and !&quot;&quot;.equals(userArea)">
                and user_area = #{userArea}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR power LIKE concat('%',#{searchKey},'%')
                    OR city_id LIKE concat('%',#{searchKey},'%')
                    OR landmark_id LIKE concat('%',#{searchKey},'%')
                    OR area_id LIKE concat('%',#{searchKey},'%')
                    OR thing_id LIKE concat('%',#{searchKey},'%')
                    OR group_name LIKE concat('%',#{searchKey},'%')
                    OR aim_template_id LIKE concat('%',#{searchKey},'%')
                    OR user_area LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAimGroupInfo" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimGroupInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="groupName != null and !&quot;&quot;.equals(groupName)">
                and group_name = #{groupName}
            </if>
            <if test="aimTemplateId != null and !&quot;&quot;.equals(aimTemplateId)">
                and aim_template_id = #{aimTemplateId}
            </if>
            <if test="userArea != null and !&quot;&quot;.equals(userArea)">
                and user_area = #{userArea}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>

        </where>
        LIMIT 1
    </select>
    <select id="queryAimGroupInfoAllInfo" parameterType="java.util.Map" resultMap="AllInfoResultMap">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="thingId != null and !&quot;&quot;.equals(thingId)">
                and thing_id = #{thingId}
            </if>
            <if test="groupName != null and !&quot;&quot;.equals(groupName)">
                and group_name = #{groupName}
            </if>
            <if test="aimTemplateId != null and !&quot;&quot;.equals(aimTemplateId)">
                and aim_template_id = #{aimTemplateId}
            </if>
            <if test="userArea != null and !&quot;&quot;.equals(userArea)">
                and user_area = #{userArea}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE aim_group_info SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.AimGroupInfo">
        select
        <include refid="Base_Column_List"/>
        from aim_group_info
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>

    <resultMap id="AllInfoResultMap" type="com.izouma.awesomeadmin.model.AimGroupInfo" extends="BaseResultMap">


        <collection property="aimPlaceInfoList" ofType="com.izouma.awesomeadmin.model.AimPlaceInfo"
                    select="com.izouma.awesomeadmin.dao.AimPlaceInfoMapper.queryAllAimPlaceInfoAllInfo"
                    column="{aimGroupId = id}">
        </collection>

    </resultMap>

</mapper>

